/*
 * list.h
 *
 *  Created on: Jul 27, 2016
 *      Author: tkl
 */

#ifndef SOURCE_FIRMWARE_KERNEL_LIST_H_
#define SOURCE_FIRMWARE_KERNEL_LIST_H_

struct list_node {
	struct list_node *next;
	unsigned int data;
};

struct list {
	struct list_node *front;
	struct list_node *rear;
};

int list_init(struct list *head);
int list_add(struct list *head, struct list_node *node);
int list_get_len(struct list *head);

#endif /* SOURCE_FIRMWARE_KERNEL_LIST_H_ */
